Bug 183060 - netstat gives: "warning, got duplicate tcp line"
netstat gives: "warning, got duplicate tcp line"
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: net-tools (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Ben Levenson
Depends On:
Blocks: 181409
  Show dependency treegraph
Reported: 2006-02-25 16:01 EST by Osmo Laitinen
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0360
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-10 17:19:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Osmo Laitinen 2006-02-25 16:01:56 EST
Description of problem:

me@server:~ >netstat -an |grep -v tcp
Active Internet connections (servers and established)
Proto Recv-Q Send-Q Local Address               Foreign Address            
warning, got duplicate tcp line.
warning, got duplicate tcp line.
warning, got duplicate tcp line.
warning, got duplicate tcp line.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. On (high traffic?) server type netstat -an (or -tn)
Actual results:
Multiple lines of "warning, got duplicate tcp line"

Expected results:
No such error message

Additional info:
Seems to be duplicate for oldish Fedora bug:
But it is not fixed in RHEL
Comment 1 Radek Vokal 2006-03-01 07:23:50 EST
Adding on proposed list
Comment 6 Bob Johnson 2006-04-11 12:58:29 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 7 Radek Vokal 2006-04-18 08:25:31 EDT
The warning will be displayed only with verbose option. 
Comment 11 Red Hat Bugzilla 2006-08-10 17:19:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.